Qwt User's Guide: QwtSimpleCompassRose Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
QwtSimpleCompassRose Class Reference

A simple rose for QwtCompass. More...

`#include <qwt_compass_rose.h>`

Inheritance diagram for QwtSimpleCompassRose:

## Public Member Functions
| QwtSimpleCompassRose (int numThorns=8, int numThornLevels=-1)
virtual | ~QwtSimpleCompassRose ()
| Destructor.
void | setWidth (double)
double | width () const
void | setNumThorns (int)
int | numThorns () const
void | setNumThornLevels (int)
int | numThornLevels () const
void | setShrinkFactor (double factor)
double | shrinkFactor () const
virtual void | draw (QPainter *, const QPointF &center, double radius, double north, QPalette::ColorGroup=QPalette::Active) const override
Public Member Functions inherited from QwtCompassRose
| QwtCompassRose ()
| Constructor.
virtual | ~QwtCompassRose ()
| Destructor.
virtual void | setPalette (const QPalette &)
| Assign a palette.
const QPalette & | palette () const

## Static Public Member Functions
static void | drawRose (QPainter *, const QPalette &, const QPointF &center, double radius, double north, double width, int numThorns, int numThornLevels, double shrinkFactor)

## Detailed Description

A simple rose for QwtCompass.

Definition at line 52 of file qwt_compass_rose.h.

## Constructor & Destructor Documentation

## ◆ QwtSimpleCompassRose()

QwtSimpleCompassRose::QwtSimpleCompassRose | ( | int | numThorns = 8,
|  | int | numThornLevels = -1 )

Constructor

Parameters

  numThorns | Number of thorns
  numThornLevels | Number of thorn levels

Definition at line 78 of file qwt_compass_rose.cpp.

## ◆ ~QwtSimpleCompassRose()

QwtSimpleCompassRose::~QwtSimpleCompassRose | ( |  | ) |
| virtual

Destructor.

Definition at line 96 of file qwt_compass_rose.cpp.

## Member Function Documentation

## ◆ draw()

void QwtSimpleCompassRose::draw | ( | QPainter * | painter,
|  | const QPointF & | center,
|  | double | radius,
|  | double | north,
|  | QPalette::ColorGroup | cg = QPalette::Active ) const
| overridevirtual

Draw the rose

Parameters

  painter | Painter
  center | Center point
  radius | Radius of the rose
  north | Position
  cg | Color group

Implements QwtCompassRose.

Definition at line 131 of file qwt_compass_rose.cpp.

## ◆ drawRose()

void QwtSimpleCompassRose::drawRose | ( | QPainter * | painter,
|  | const QPalette & | palette,
|  | const QPointF & | center,
|  | double | radius,
|  | double | north,
|  | double | width,
|  | int | numThorns,
|  | int | numThornLevels,
|  | double | shrinkFactor )
| static

Draw the rose

Parameters

  painter | Painter
  palette | Palette
  center | Center of the rose
  radius | Radius of the rose
  north | Position pointing to north
  width | Width of the rose
  numThorns | Number of thorns
  numThornLevels | Number of thorn levels
  shrinkFactor | Factor to shrink the thorns with each level

Definition at line 154 of file qwt_compass_rose.cpp.

## ◆ numThornLevels()

int QwtSimpleCompassRose::numThornLevels | ( |  | ) | const

Returns
  Number of thorn levels

See also
  setNumThorns(), setNumThornLevels()

Definition at line 293 of file qwt_compass_rose.cpp.

## ◆ numThorns()

int QwtSimpleCompassRose::numThorns | ( |  | ) | const

Returns
  Number of thorns

See also
  setNumThorns(), setNumThornLevels()

Definition at line 273 of file qwt_compass_rose.cpp.

## ◆ setNumThornLevels()

void QwtSimpleCompassRose::setNumThornLevels | ( | int | numThornLevels | ) |

Set the of thorns levels

Parameters

  numThornLevels | Number of thorns levels

See also
  setNumThorns(), numThornLevels()

Definition at line 284 of file qwt_compass_rose.cpp.

## ◆ setNumThorns()

void QwtSimpleCompassRose::setNumThorns | ( | int | numThorns | ) |

Set the number of thorns on one level The number is aligned to a multiple of 4, with a minimum of 4

Parameters

  numThorns | Number of thorns

See also
  numThorns(), setNumThornLevels()

Definition at line 258 of file qwt_compass_rose.cpp.

## ◆ setShrinkFactor()

void QwtSimpleCompassRose::setShrinkFactor | ( | double | factor | ) |

Set the Factor how to shrink the thorns with each level The default value is 0.9.

Parameters

  factor | Shrink factor

See also
  shrinkFactor()

Definition at line 108 of file qwt_compass_rose.cpp.

## ◆ setWidth()

void QwtSimpleCompassRose::setWidth | ( | double | width | ) |

Set the width of the rose heads. Lower value make thinner heads. The range is limited from 0.03 to 0.4.

Parameters

  width | Width

Definition at line 232 of file qwt_compass_rose.cpp.

## ◆ shrinkFactor()

double QwtSimpleCompassRose::shrinkFactor | ( |  | ) | const

Returns
  Factor how to shrink the thorns with each level

See also
  setShrinkFactor()

Definition at line 117 of file qwt_compass_rose.cpp.

## ◆ width()

double QwtSimpleCompassRose::width | ( |  | ) | const

Returns
  Width of the rose

See also
  setWidth()

Definition at line 246 of file qwt_compass_rose.cpp.